List Subscribers

Returns a list of Subscribers. Optional filter parameters can be passed in.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

emailstringOptional
Filter items by email.
first_namestringOptional

Filter items by first_name.

last_namestringOptional

Filter items by last_name.

sourcestringOptional
Filter items by source.
order_idintegerOptional

Filter items by order_id.

date_createddatetimeOptional

Filter items by date_created.

date_created:mindatetimeOptional

Filter items by minimum date created, for example, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields created after this date.

date_created:maxdatetimeOptional

Filter items by maximum date created, for example, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields created before this date.

date_modifieddatetimeOptional

Filter items by date_modified. For example v3/catalog/products?date_last_imported:min=2018-06-15

date_modified:mindatetimeOptional

Filter items by minimum date modified, for example, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields modified after this date.

date_modified:maxdatetimeOptional

Filter items by maximum date modified, for example, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields modified before this date.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

idintegerRequired
Filter items by ID.
id:inlist of integersOptional

Filter items by ID. id:in=4,5,6

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.